Browse Source

Sync with portage [Wed Apr 3 21:49:01 MSK 2019].

mhiretskiy 1390
root 3 years ago
parent
commit
f9197bec75
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 2
      app-admin/vault/vault-1.1.0.ebuild
  4. BIN
      app-editors/Manifest.gz
  5. 2
      app-editors/gvim/gvim-8.1.0648-r1.ebuild
  6. 2
      app-editors/vim-core/vim-core-8.1.0648.ebuild
  7. 2
      app-editors/vim/vim-8.1.0648-r1.ebuild
  8. BIN
      app-emulation/Manifest.gz
  9. 1
      app-emulation/cadvisor/Manifest
  10. 43
      app-emulation/cadvisor/cadvisor-0.33.0-r1.ebuild
  11. 43
      app-emulation/cadvisor/cadvisor-0.33.1.ebuild
  12. 19
      app-emulation/cadvisor/files/cadvisor.initd-r1
  13. 2
      app-emulation/xen-tools/Manifest
  14. 19
      app-emulation/xen-tools/xen-tools-4.11.1-r3.ebuild
  15. BIN
      app-office/Manifest.gz
  16. 1
      app-office/homebank/Manifest
  17. 50
      app-office/homebank/homebank-5.2.3.ebuild
  18. 2
      app-office/libreoffice/Manifest
  19. 113
      app-office/libreoffice/files/libreoffice-6.2.3.1-kf5-update-delayed-frame-destruct.patch
  20. 82
      app-office/libreoffice/files/libreoffice-6.2.3.1-qt5-kf5-disable-qt-hidpi-scaling.patch
  21. 549
      app-office/libreoffice/libreoffice-6.2.3.1.ebuild
  22. 5
      app-office/libreoffice/libreoffice-6.2.9999.ebuild
  23. 5
      app-office/libreoffice/libreoffice-9999.ebuild
  24. BIN
      dev-perl/Manifest.gz
  25. 1
      dev-perl/Test-Strict/Manifest
  26. 26
      dev-perl/Test-Strict/Test-Strict-0.470.0.ebuild
  27. 8
      dev-perl/Test-Strict/metadata.xml
  28. BIN
      dev-ruby/Manifest.gz
  29. 1
      dev-ruby/coolio/Manifest
  30. 57
      dev-ruby/coolio/coolio-1.5.4.ebuild
  31. 1
      dev-ruby/ffaker/Manifest
  32. 20
      dev-ruby/ffaker/ffaker-2.11.0.ebuild
  33. 1
      dev-ruby/rack/Manifest
  34. 42
      dev-ruby/rack/rack-2.0.7.ebuild
  35. 1
      dev-ruby/regexp_property_values/Manifest
  36. 43
      dev-ruby/regexp_property_values/regexp_property_values-0.3.5.ebuild
  37. BIN
      dev-util/Manifest.gz
  38. 2
      dev-util/cgdb/Manifest
  39. 18
      dev-util/cgdb/cgdb-0.6.6.ebuild
  40. 18
      dev-util/cgdb/cgdb-0.6.7.ebuild
  41. 31
      dev-util/cgdb/cgdb-0.7.0-r1.ebuild
  42. 33
      dev-util/cgdb/cgdb-9999.ebuild
  43. 2
      dev-util/cmake/Manifest
  44. 212
      dev-util/cmake/cmake-3.10.3.ebuild
  45. 229
      dev-util/cmake/cmake-3.14.0.ebuild
  46. 1
      dev-util/cmocka/Manifest
  47. 44
      dev-util/cmocka/cmocka-1.1.5.ebuild
  48. 54
      dev-util/kdbg/files/kdbg-3.0.0-no-png-install.patch
  49. 22
      dev-util/kdbg/kdbg-3.0.0-r1.ebuild
  50. 17
      dev-util/ninka/ninka-2.0_pre1_p20170402.ebuild
  51. BIN
      dev-vcs/Manifest.gz
  52. 6
      dev-vcs/cvs2svn/cvs2svn-2.4.0-r1.ebuild
  53. 4
      dev-vcs/cvs2svn/cvs2svn-2.5.0.ebuild
  54. BIN
      games-board/Manifest.gz
  55. 1
      games-board/pysolfc/Manifest
  56. 20
      games-board/pysolfc/files/pysolfc-pillow-6.patch
  57. 70
      games-board/pysolfc/pysolfc-2.6.2.ebuild
  58. BIN
      games-puzzle/Manifest.gz
  59. 380
      games-puzzle/pingus/files/pingus-0.7.6-boost_signals2.patch
  60. 33
      games-puzzle/pingus/files/pingus-9999-no_libexec.patch
  61. 63
      games-puzzle/pingus/pingus-0.7.6-r2.ebuild
  62. 50
      games-puzzle/pingus/pingus-9999.ebuild
  63. BIN
      games-simulation/Manifest.gz
  64. 3
      games-simulation/openttd/Manifest
  65. 56
      games-simulation/openttd/files/openttd-1.9.0-cflags.patch
  66. 34
      games-simulation/openttd/files/openttd-1.9.0-dont_compress_manpages.patch
  67. 19
      games-simulation/openttd/files/openttd.initd
  68. 170
      games-simulation/openttd/openttd-1.7.2.ebuild
  69. 91
      games-simulation/openttd/openttd-1.9.0.ebuild
  70. 51
      games-simulation/openttd/openttd-9999.ebuild
  71. BIN
      kde-apps/Manifest.gz
  72. 46
      kde-apps/akonadi-calendar/akonadi-calendar-18.12.3-r1.ebuild
  73. 42
      kde-apps/akonadi-contacts/akonadi-contacts-18.12.3-r1.ebuild
  74. 41
      kde-apps/akonadi-import-wizard/akonadi-import-wizard-18.12.3-r1.ebuild
  75. 37
      kde-apps/akonadi-mime/akonadi-mime-18.12.3-r1.ebuild
  76. 28
      kde-apps/akonadi-notes/akonadi-notes-18.12.3-r1.ebuild
  77. 47
      kde-apps/akonadi-search/akonadi-search-18.12.3-r2.ebuild
  78. 117
      kde-apps/akonadi/akonadi-18.12.3-r1.ebuild
  79. 97
      kde-apps/akonadi/files/akonadi-18.12.3-collection-detach-at-wrong-time-in-attribute.patch
  80. 55
      kde-apps/akonadi/files/akonadi-18.12.3-major-regression-updating-attributes.patch
  81. 45
      kde-apps/akonadiconsole/akonadiconsole-18.12.3-r1.ebuild
  82. 42
      kde-apps/calendarjanitor/calendarjanitor-18.12.3-r1.ebuild
  83. 44
      kde-apps/calendarsupport/calendarsupport-18.12.3-r1.ebuild
  84. 2
      kde-apps/dolphin/dolphin-18.12.3.ebuild
  85. 42
      kde-apps/eventviews/eventviews-18.12.3-r1.ebuild
  86. 53
      kde-apps/incidenceeditor/incidenceeditor-18.12.3-r1.ebuild
  87. 58
      kde-apps/kaddressbook/kaddressbook-18.12.3-r1.ebuild
  88. 82
      kde-apps/kalarm/kalarm-18.12.3-r1.ebuild
  89. 34
      kde-apps/kalarmcal/kalarmcal-18.12.3-r1.ebuild
  90. 89
      kde-apps/kdepim-addons/kdepim-addons-18.12.3-r1.ebuild
  91. 38
      kde-apps/kdepim-apps-libs/kdepim-apps-libs-18.12.3-r1.ebuild
  92. 86
      kde-apps/kdepim-runtime/kdepim-runtime-18.12.3-r1.ebuild
  93. 48
      kde-apps/kgpg/kgpg-18.12.3-r1.ebuild
  94. 52
      kde-apps/kmail-account-wizard/kmail-account-wizard-18.12.3-r1.ebuild
  95. 116
      kde-apps/kmail/kmail-18.12.3-r1.ebuild
  96. 42
      kde-apps/kmailtransport/kmailtransport-18.12.3-r1.ebuild
  97. 73
      kde-apps/knotes/knotes-18.12.3-r1.ebuild
  98. 42
      kde-apps/konsolekalendar/konsolekalendar-18.12.3-r1.ebuild
  99. 45
      kde-apps/kontact/kontact-18.12.3-r1.ebuild
  100. 93
      kde-apps/korganizer/korganizer-18.12.3-r1.ebuild

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

2
app-admin/vault/vault-1.1.0.ebuild

@ -21,7 +21,7 @@ IUSE="+webui"
RESTRICT="test"
DEPEND=">=dev-lang/go-1.10:=
DEPEND=">=dev-lang/go-1.11:=
dev-go/gox"
FILECAPS=(

BIN
app-editors/Manifest.gz

2
app-editors/gvim/gvim-8.1.0648-r1.ebuild

@ -16,7 +16,7 @@ if [[ ${PV} == 9999* ]]; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
fi
DESCRIPTION="GUI version of the Vim text editor"

2
app-editors/vim-core/vim-core-8.1.0648.ebuild

@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="vim and gvim shared files"

2
app-editors/vim/vim-8.1.0648-r1.ebuild

@ -15,7 +15,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"

BIN
app-emulation/Manifest.gz

1
app-emulation/cadvisor/Manifest

@ -1,3 +1,4 @@
DIST cadvisor-0.31.0.tar.gz 4604581 BLAKE2B b39cc3c2482353f1fb64ee0bb9baccdd310e6315819c21aaaef034970f39e2d6ffae05de4289b50838e8bad889f7d9a8e516768ba56a6854c76829a621e57554 SHA512 13b92c2148a439def2394232b3591c0367431f09f5998b5a79210e5b871e2986934fda8b1a3bbeb10691bb5b512556b76f32976b977005d767974c565bcf9072
DIST cadvisor-0.32.0.tar.gz 4623510 BLAKE2B 7145d0224b3d64cd438bb94047d8682bcad842d7841d98f264a3118a2c0fabb7f67b183db80e054362428efc4f47c699692e53e651a14a1871cc3c32d3a0695f SHA512 734ad1f33e0948dba7e43a1695c3a96ce6bf4367a604b5b79f011c893e18ec697c48199ddb21edb7c176929ddd389e42de9b6f502a01c938c45612ffd96b5f5d
DIST cadvisor-0.33.0.tar.gz 4646920 BLAKE2B ce0e264321efcfbbf422f086cd15dfde389a099d183cbc2daaefb5aa6aa36da0c6e213dc4c12a000b9049ce2a1444addee93746f5650a56fa0f7c6612aa25bd9 SHA512 3d1dd1b9dc684e71bca9dc64949911f5f3ae72c97aa3b6cd45dd51a404fc101b5591ec8c19c469d6a410de3cf46c3d8c104d34e5dd1fdc85c18c2d1b6a45b2af
DIST cadvisor-0.33.1.tar.gz 4646909 BLAKE2B 1ba30d559c018bf11297ded8adcc77a8761f77a1a39d75fb6e704ab84b3118d14587c91fd638da59bc9a46969b0545bdcf55e482390adeef6a4841fd6a57988c SHA512 659b8c48f74ef34044c7b3d9a41d42338c9c90fa443bdf7766001ae570aab8ed61efa948d1d01c324b6f03a0d1bf3d3fb1483d40bfc3b7e67f768253e3638de5

43
app-emulation/cadvisor/cadvisor-0.33.0-r1.ebuild

@ -0,0 +1,43 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/google/cadvisor"
inherit user golang-build golang-vcs-snapshot
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
COMMIT="511ec9e"
KEYWORDS="~amd64"
DESCRIPTION="Analyzes resource usage and performance characteristics of running containers"
HOMEPAGE="https://github.com/google/cadvisor"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
pkg_setup() {
enewgroup ${PN}
enewuser ${PN} -1 -1 /dev/null ${PN}
}
src_prepare() {
sed -i -e "/go get/d" src/${EGO_PN}/build/assets.sh || die
sed -i -e "s/git describe.*/echo ${PV} )/"\
-e "s/git rev-parse --short HEAD.*/echo ${COMMIT} )/"\
src/${EGO_PN}/build/build.sh || die
default
}
src_compile() {
pushd "src/${EGO_PN}"
GO_FLAGS="-v -work -x" VERBOSE="true" GOPATH="${S}:$(get_golibdir_gopath)" emake build
popd || die
}
src_install() {
newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
dobin src/${EGO_PN}/${PN}
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

43
app-emulation/cadvisor/cadvisor-0.33.1.ebuild

@ -0,0 +1,43 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/google/cadvisor"
inherit user golang-build golang-vcs-snapshot
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
COMMIT="7e9ea00"
KEYWORDS="~amd64"
DESCRIPTION="Analyzes resource usage and performance characteristics of running containers"
HOMEPAGE="https://github.com/google/cadvisor"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
pkg_setup() {
enewgroup ${PN}
enewuser ${PN} -1 -1 /dev/null ${PN}
}
src_prepare() {
sed -i -e "/go get/d" src/${EGO_PN}/build/assets.sh || die
sed -i -e "s/git describe.*/echo ${PV} )/"\
-e "s/git rev-parse --short HEAD.*/echo ${COMMIT} )/"\
src/${EGO_PN}/build/build.sh || die
default
}
src_compile() {
pushd "src/${EGO_PN}"
GO_FLAGS="-v -work -x" VERBOSE="true" GOPATH="${S}:$(get_golibdir_gopath)" emake build
popd || die
}
src_install() {
newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
dobin src/${EGO_PN}/${PN}
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

19
app-emulation/cadvisor/files/cadvisor.initd-r1

@ -0,0 +1,19 @@
#!/sbin/openrc-run
# Copyright 2016-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description="cAdvisor - Analyzes resource usage and performance characteristics of running containers"
pidfile=${pidfile:-"/run/${SVCNAME}.pid"}
user=${user:-${SVCNAME}}
group=${group:-${SVCNAME}}
command="/usr/bin/cadvisor"
command_background="true"
start_stop_daemon_args="--user ${user} --group ${group} \
--stdout /var/log/${SVCNAME}/${SVCNAME}.log \
--stderr /var/log/${SVCNAME}/${SVCNAME}.log"
depend() {
after net
use docker
}

2
app-emulation/xen-tools/Manifest

@ -1,6 +1,8 @@
DIST edk2-ef529e6ab7c31290a33045bb1f1837447cc0eb56.tar.gz 38714813 BLAKE2B 1c0670c6447aa7d2610e59481324eafe3dbf54cc0480c855380372cf5b95469de4182b569d1c4429df71ceb9be014cb414e070a808609d185b488519955b8677 SHA512 8eb88006500d9d6982e5565bdb71bf47dfe2b9669e107f48b6b237d7efbbfb54b9fd81841421c347e5c0ca45ef9c08f0b95983c8b922c2e1072b0e42b8ede92c
DIST ovmf-20170321.tar.xz 22141096 BLAKE2B 79e991c8f9deb297865c319e88b6e6d46b1d08067d3fd639c83f2a379670779ecc60c74c2671ea4eb4a6659fe08ac2d7d4ff337b010b42a908a50829a2d18eeb SHA512 f65dabde3df967224e2072817211786ee4fc3994ee31f8f9d6f67fd74e3479e1da459c720169dd81020cdc1777e4600e531bb124b4625c2ded42c6005bdc802a
DIST seabios-1.10.0.tar.gz 588213 BLAKE2B 254eb4572a1dac06020a545820efb53a130a027aaab035cd916009b424475f89bd151f82f1bc5103c01c4657d09da3219d2fbcc7728add473011dcfc7bff7410 SHA512 f1b83ce37b59070b488e19f98c95ca9f413cf4969663331b631c3ccb884c90b2db793d32a779ef05cead538c2fd123be4b73391ad2fa20c900a1f14237178d8c
DIST seabios-1.12.0.tar.gz 613542 BLAKE2B f145c2db716996bfa9e5c014086ccfaa8ae96ebc158f34303b122b7bf209408c567665d8691364df8d8e886f63e0e72a3f3cd319dfa86ef581023201b5d94e53 SHA512 e52c5363e5bb37b5286e55545aa06bd126218f9d0e3a06ac2e189de68fe3de3256c11ca1bb13357a9c384d7e3af6284083ff3aa587688b5de04ef11b97bdfa27
DIST seabios-rel-1.11.1.tar.gz 604125 BLAKE2B df2b7322f5169fb74e7f5dd3f680e7d8ad3e6f93e8b1376d15bbda8865458648a0d6086011a8a6549e7ad1794844878736441e70067580c0eb416e20ee038d95 SHA512 69622460475b54ba77a10509dae0ef46d9c733c6c8527ab56a4f2298534dcf1f7722eb501df873ab612222e5867e334c2831cc4c95dd23771aee10740acf0273
DIST xen-4.10.3-upstream-patches-1.tar.xz 24064 BLAKE2B ec9339d00afd4057738a78165a82dbebbab73eb561984a049daff84dfb115c0550e67796bfa775d5e5a3a4576c4ea7db408d491fe745a68c412f93a04719c58d SHA512 b3761acdb7a581d172e1e2b1e09406c4748eda3e25c81c19bb53b38e005d27e10ac64109870b47ce72372dc7b7c63ec3eca6156389c174f28ab4ad1c2b9e5634
DIST xen-4.10.3.tar.gz 24695778 BLAKE2B 50a9e31fb4cf587eeedb357fc710405a1cd4506174a38eb9b032a0cdd9b7f7343d98624ecb07cf605b1403664c7117cdc8f011290309caa18ca9604b4008b906 SHA512 030d23109ce4c0ebf50ade6841d5525a39032bcf8fd0599ccaa9502ff301c1f61f9c5f49233b41a5934a71228958febc1e529a9fc6822ba401a0c18c490ad412
DIST xen-4.11.1-upstream-patches-0.tar.xz 45416 BLAKE2B 3990dbf338c2aebe1cd601d7caccc6919352cc1f937677d447c3d2626143710bdfda7f1977e2ad7112abff9cad6bb660bc1b0993ca74b2eff51da6d4f4365813 SHA512 ecbc13e607581a6f9b4e318145afaa92ce641bda6fb12585408f61bcf24fa9b245004ad22150e109db5d38fcea38e6bdaf6bb2d6eaaf8e5d5fa8816b5a19e456

19
app-emulation/xen-tools/xen-tools-4.11.1-r2.ebuild → app-emulation/xen-tools/xen-tools-4.11.1-r3.ebuild

@ -24,11 +24,10 @@ else
# xen-tools's gentoo patches version which apply to this specific ebuild
GENTOO_GPV=0
# xen-tools ovmf's patches
OVMF_VER=3
OVMF_VER=
SEABIOS_VER=1.10.0
# OVMF upstream 5920a9d16b1ab887c2858224316a98e961d71b05
OVMF_PV=20170321
SEABIOS_VER=1.11.1
EDK2_COMMIT=ef529e6ab7c31290a33045bb1f1837447cc0eb56
[[ -n ${UPSTREAM_VER} ]] && \
UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
@ -42,9 +41,8 @@ else
OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
http://code.coreboot.org/p/seabios/downloads/get/seabios-${SEABIOS_VER}.tar.gz
https://dev.gentoo.org/~dlan/distfiles/seabios-${SEABIOS_VER}.tar.gz
ovmf? ( https://dev.gentoo.org/~dlan/distfiles/ovmf-${OVMF_PV}.tar.xz
https://git.seabios.org/cgit/seabios.git/snapshot/seabios-rel-${SEABIOS_VER}.tar.gz
ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
${OVMF_PATCHSET_URI} )
${UPSTREAM_PATCHSET_URI}
${SECURITY_PATCHSET_URI}
@ -216,7 +214,7 @@ src_prepare() {
fi
# move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
mv ../seabios-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
pushd tools/firmware/ > /dev/null
ln -s seabios-dir-remote seabios-dir || die
popd > /dev/null
@ -235,11 +233,12 @@ src_prepare() {
if use ovmf; then
if [[ -n ${OVMF_VER} ]];then
einfo "Try to apply Ovmf patch set"
pushd "${WORKDIR}"/ovmf-*/ > /dev/null
pushd "${WORKDIR}"/edk2-*/ > /dev/null
eapply "${WORKDIR}"/patches-ovmf
popd > /dev/null
fi
mv ../ovmf-${OVMF_PV} tools/firmware/ovmf-dir-remote || die
mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
fi
mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die

BIN
app-office/Manifest.gz

1
app-office/homebank/Manifest

@ -1,3 +1,4 @@
DIST homebank-5.1.3.tar.gz 2686661 BLAKE2B bd43e3bc2d5d2c42e80cfc32b2beaa923b7c9110a71a703e52d45f302d16c5d8582cbb1c8463d4457b578844c357a20e7aed67c71a11d1baabf6dfec54960d3f SHA512 c95ac2871c3219d734aeb35d11e1e678efc50e166e2f8c1f05971fd341ac1598d6d672bd4b7cd7bcc206443af5305c9e1eb0557c3fcaab1ea35f4950acdef103
DIST homebank-5.1.8.tar.gz 2745061 BLAKE2B b2e95a65f0d352fe167aa589683f3053d6b623f0240c348ea8c08f02f66b308b84873494eb7c307bbde15be28d7feb71ef966d0ae1bbb4d2cc5d22e53a68de08 SHA512 24c02b30878b920fdf8ee190fd8cfcdead1ecb971495880db8a49ca771f4cd140a2c1ff4eb09f3e6770be694480b84c5ff3b0d49568ce81c86e83b95797dbed4
DIST homebank-5.2.2.tar.gz 2601784 BLAKE2B e0a66cebbdc9247aeba9946c4adf5b6677abb49cd93d212fc8008c44c53a21966ee4fa1291f887196fe3168de992a892d54fe82aec228a88f613b45358076dd2 SHA512 83ccf7f96b1eb9f2e5c134b151dce53790092e2ecb06f5e6a5e50057d6a32cde6cf45b9e98c07a81e7f224d33dae5d98e4693e57c413df675f63d21b418525b0
DIST homebank-5.2.3.tar.gz 2665397 BLAKE2B d197a113b1387c414ba8d11ebe012d0887dbfb1d9eb20c61197e0ddcf87da64e09b2bff108c07b350a1326f8b935fb4c8d56f14240e9815df5b021ab75a3f7dc SHA512 7b6530aa609ea047a19aadb65e459406226cc94d07a5a44e7ba06535cafcfe52e8b2471644b2bffbeb20cd699167858d2787ebdbc45166e4c7720fbff717b3de

50
app-office/homebank/homebank-5.2.3.ebuild

@ -0,0 +1,50 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit xdg-utils gnome2-utils
DESCRIPTION="Free, easy, personal accounting for everyone"
HOMEPAGE="http://homebank.free.fr/index.php"
SRC_URI="http://homebank.free.fr/public/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ofx"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
RDEPEND=">=dev-libs/glib-2.39
>=net-libs/libsoup-2.26
x11-libs/cairo
x11-libs/gdk-pixbuf
>=x11-libs/gtk+-3.22:3
x11-libs/pango
ofx? ( >=dev-libs/libofx-0.8.3 )"
DEPEND="${RDEPEND}
>=dev-lang/perl-5.8.1
dev-perl/XML-Parser
>=dev-util/intltool-0.40.5
sys-devel/gettext
virtual/pkgconfig"
DOCS=( AUTHORS ChangeLog README )
src_configure() {
econf $(use_with ofx)
}
pkg_preinst() {
gnome2_icon_savelist
}
pkg_postinst() {
xdg_desktop_database_update
xdg_mimeinfo_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
xdg_mimeinfo_database_update
gnome2_icon_cache_update
}

2
app-office/libreoffice/Manifest

@ -6,6 +6,8 @@ DIST a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip 23150 BLAKE2B 51db6bd9058
DIST libreoffice-6.1.5.2.tar.xz 207918636 BLAKE2B bb4e57a5363e7dc6757c537ef46231ff748649ca4b79993f371e787adba8cd1f3dd988f11e8813c24eb952d00355b02b15f0b126ea2c1f9d9ce7d6c26bf71c38 SHA512 36027ad8a3940e803908561e04feebce297db2fd570b7e43bb43d8c0b7885729eeaf0a64fc5f9e642c1008ffea0b3b1b6d0008e349cd1897425dc818ac8bf140
DIST libreoffice-6.2.2.2-patchset-01.tar.xz 6952 BLAKE2B 6b6b5280c9c65b7995d49bd0a5c0667226366f498f04d747e883d21490c88fcdd5abe4348ffe37d3060d0b685d4c3c3cd5e826351b22f24b68779bc5ca9d92b3 SHA512 63cce0839f65962df425f212306ed65e3899c6da857f74d7ea335bd48712fab2faa1de7dbc28a5022021a408f02cb972c3bb7b511f6e1209f103b8d214e163ac
DIST libreoffice-6.2.2.2.tar.xz 214029032 BLAKE2B fc95d9dcb594bd18317285ecf593fb69825ecf061f7a339b48c01c858ee0340390d635a75f9be2d522f0b8883365d013b72b52f81cded509a2748ad354b9006c SHA512 f58f73fc76c57cbcbc24f63680ebc06f72cbbff9c1339c8186e70bf5f0f9ad0203ed2898ee7dd82cfb2bd0239d96a1534cec635847fe8fb50a0abe70848d2125
DIST libreoffice-6.2.3.1.tar.xz 214212540 BLAKE2B 62898ab40a19e8517d32c427d68364289b73a8f13ea9c7b33f380f784908f5dbad2cbefe5e6e878c337b42306e29e2d7c574da36397b1bcd48651a519a8c04e0 SHA512 d835725f769af98c91ffe2e9cd6edb0361bbd7d8122ec6660fabebeec5830d14bc485ffa2b50a6bebcc72271440763e4aee427228c37ea81773bc83ef0650035
DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 BLAKE2B f03c7ddeb53c5ca3fd23401679601fcf2c4037ba17be4eb7b784c7ce7ebb71a24b8ab4aac8b7da8c6b1f14dd23bc1294ba85ff4f70ad271fb4ee3c5372e10883 SHA512 785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f
DIST libreoffice-help-6.1.5.2.tar.xz 15758000 BLAKE2B e8db833db00116e210cd6da578ab05089fd12128bfb8015600027c9afca09a1afe7a62e30a0271dffead5d176c0195eae9095d0e00450a926999efadf3f7572f SHA512 0575244ae595af7383b244fd3f1855b7d63820f9c3ebf87bc9d0758463b4b289988bbed99f0985508d34793967734fd83ae2d1a5db514479bb2fe32e0498fc9f
DIST libreoffice-help-6.2.2.2.tar.xz 15267780 BLAKE2B 6e5300f8cbd202ccf411d7f5d5268075e53d004b986917a382b0bcae6e3eb2a6b69ff36bbb38b23e9661f2f0df0388032dfc2156c7e2665414137e125cc83247 SHA512 c9aebd77aa44ea54e08c9e305aa073e29a02b11fbe118f346f2bb17a6aa8c3ff13fa3ba212a29eaa4c2b3861365bf4a8683979c5e77c57fa538ef18f4aea7ae4
DIST libreoffice-help-6.2.3.1.tar.xz 13023992 BLAKE2B 5cb0f6081f60cf2ac6fe9e1e8715c5e48a4e8769a44dda1dd8a66aed18992710c6075a18ff19d3c5dba136d41396da42fd66d9ce1f1cc4d5fbc77a5c04f72e6d SHA512 1bc10999401bd7fe2a7454eb036675fd43cca9c4d0ef817f28c82cb6d3818afd44428b75fd31b2dac84a77a79f0a026679fd582ffa572b79bba38de1470f8857

113
app-office/libreoffice/files/libreoffice-6.2.3.1-kf5-update-delayed-frame-destruct.patch

@ -0,0 +1,113 @@
From d622be2d6bcfcc2c7260421e0eaa09c76ce15da2 Mon Sep 17 00:00:00 2001
From: Aleksei Nikiforov <darktemplar@basealt.ru>
Date: Wed, 6 Mar 2019 16:10:17 +0300
Subject: tdf#123406 KDE5: Update delayed frame destruction
Move deleteLater() call to the different event loop.
This fixes issue with frames not being disposed of
deterministically, and previously opened window
not reactivating.
Also hide modal dialog window before unsetting modal mode.
Unsetting modal mode may require to toggle window visibility.
Window will be hidden soon anyway,
and additional generated events might make finding correct
focused window harder.
Change-Id: Id7839f817075785287b09f6ac79eb3fb211726aa
Reviewed-on: https://gerrit.libreoffice.org/68852
Tested-by: Jenkins
Reviewed-by: Katarina Behrens <Katarina.Behrens@cib.de>
Reviewed-on: https://gerrit.libreoffice.org/70078
Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
---
vcl/inc/qt5/Qt5Instance.hxx | 2 ++
vcl/qt5/Qt5Instance.cxx | 12 ++++++++++--
vcl/source/window/dialog.cxx | 4 ++--
3 files changed, 14 insertions(+), 4 deletions(-)
diff --git a/vcl/inc/qt5/Qt5Instance.hxx b/vcl/inc/qt5/Qt5Instance.hxx
index 91682bd..cece484 100644
--- a/vcl/inc/qt5/Qt5Instance.hxx
+++ b/vcl/inc/qt5/Qt5Instance.hxx
@@ -50,10 +50,12 @@ public:
private Q_SLOTS:
bool ImplYield(bool bWait, bool bHandleAllCurrentEvents);
+ static void deleteObjectLater(QObject* pObject);
Q_SIGNALS:
bool ImplYieldSignal(bool bWait, bool bHandleAllCurrentEvents);
std::unique_ptr<SalMenu> createMenuSignal(bool, Menu*);
+ void deleteObjectLaterSignal(QObject* pObject);
public:
explicit Qt5Instance(bool bUseCairo = false);
diff --git a/vcl/qt5/Qt5Instance.cxx b/vcl/qt5/Qt5Instance.cxx
index 8de9fc7..58f93fe 100644
--- a/vcl/qt5/Qt5Instance.cxx
+++ b/vcl/qt5/Qt5Instance.cxx
@@ -67,6 +67,12 @@ Qt5Instance::Qt5Instance(bool bUseCairo)
Qt::BlockingQueuedConnection);
connect(this, &Qt5Instance::createMenuSignal, this, &Qt5Instance::CreateMenu,
Qt::BlockingQueuedConnection);
+
+ // this one needs to be queued non-blocking
+ // in order to have this event arriving to correct event processing loop
+ connect(this, &Qt5Instance::deleteObjectLaterSignal, this,
+ [](QObject* pObject) { Qt5Instance::deleteObjectLater(pObject); },
+ Qt::QueuedConnection);
}
Qt5Instance::~Qt5Instance()
@@ -78,6 +84,8 @@ Qt5Instance::~Qt5Instance()
free(m_pFakeArgvFreeable[i]);
}
+void Qt5Instance::deleteObjectLater(QObject* pObject) { pObject->deleteLater(); }
+
SalFrame* Qt5Instance::CreateChildFrame(SystemParentData* /*pParent*/, SalFrameStyleFlags nStyle)
{
return new Qt5Frame(nullptr, nStyle, m_bUseCairo);
@@ -94,7 +102,7 @@ void Qt5Instance::DestroyFrame(SalFrame* pFrame)
if (pFrame)
{
assert(dynamic_cast<Qt5Frame*>(pFrame));
- static_cast<Qt5Frame*>(pFrame)->deleteLater();
+ Q_EMIT deleteObjectLaterSignal(static_cast<Qt5Frame*>(pFrame));
}
}
@@ -109,7 +117,7 @@ void Qt5Instance::DestroyObject(SalObject* pObject)
if (pObject)
{
assert(dynamic_cast<Qt5Object*>(pObject));
- static_cast<Qt5Object*>(pObject)->deleteLater();
+ Q_EMIT deleteObjectLaterSignal(static_cast<Qt5Object*>(pObject));
}
}
diff --git a/vcl/source/window/dialog.cxx b/vcl/source/window/dialog.cxx
index 0c75f85..1688163 100644
--- a/vcl/source/window/dialog.cxx
+++ b/vcl/source/window/dialog.cxx
@@ -1097,6 +1097,8 @@ void Dialog::EndDialog( long nResult )
const bool bModal = GetType() != WindowType::MODELESSDIALOG;
+ Hide();
+
if (bModal)
{
SetModalInputMode(false);
@@ -1121,8 +1123,6 @@ void Dialog::EndDialog( long nResult )
}
}
- Hide();
-
if (bModal && GetParent())
{
NotifyEvent aNEvt( MouseNotifyEvent::ENDEXECUTEDIALOG, this );
--
cgit v1.1

82
app-office/libreoffice/files/libreoffice-6.2.3.1-qt5-kf5-disable-qt-hidpi-scaling.patch

@ -0,0 +1,82 @@
From c3eeb421526f284419e90d2c4c4da5b0d7bbcc0e Mon Sep 17 00:00:00 2001
From: Jan-Marek Glogowski <glogow@fbihome.de>
Date: Fri, 29 Mar 2019 02:58:59 +0100
Subject: tdf#124292 Qt5 / KDE5 disable Qt's HiDPI scaling
LO does its own layouting and also all the scaling, so disable
the automatic HiDPI scaling explicitly. Otherwise fonts will be
rendered in LoDPI and just scaled as an image, if UI scaling is
enabled in KDE, resulting in really blocky / ugly fonts.
Change-Id: I38503ce27c1671e80d0749d21c6c6dcff1a808a6
Reviewed-on: https://gerrit.libreoffice.org/69941
Tested-by: Jenkins
Reviewed-by: Jan-Marek Glogowski <glogow@fbihome.de>
(cherry picked from commit b4698a2241ec26d796c66da3a814f7cc693785b6)
Reviewed-on: https://gerrit.libreoffice.org/69984
Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
---
vcl/qt5/Qt5Graphics_GDI.cxx | 4 ++--
vcl/qt5/Qt5Instance.cxx | 2 ++
vcl/unx/kde5/KDE5SalGraphics.cxx | 4 ++--
vcl/unx/kde5/KDE5SalInstance.cxx | 2 ++
4 files changed, 8 insertions(+), 4 deletions(-)
diff --git a/vcl/qt5/Qt5Graphics_GDI.cxx b/vcl/qt5/Qt5Graphics_GDI.cxx
index 90baba3..851d222 100644
--- a/vcl/qt5/Qt5Graphics_GDI.cxx
+++ b/vcl/qt5/Qt5Graphics_GDI.cxx
@@ -643,8 +643,8 @@ void Qt5Graphics::GetResolution(sal_Int32& rDPIX, sal_Int32& rDPIY)
return;
QScreen* pScreen = m_pFrame->GetQWidget()->window()->windowHandle()->screen();
- rDPIX = pScreen->logicalDotsPerInchX();
- rDPIY = pScreen->logicalDotsPerInchY();
+ rDPIX = pScreen->logicalDotsPerInchX() * pScreen->devicePixelRatio() + 0.5;
+ rDPIY = pScreen->logicalDotsPerInchY() * pScreen->devicePixelRatio() + 0.5;
}
sal_uInt16 Qt5Graphics::GetBitCount() const { return getFormatBits(m_pQImage->format()); }
diff --git a/vcl/qt5/Qt5Instance.cxx b/vcl/qt5/Qt5Instance.cxx
index adbe70b..8de9fc7 100644
--- a/vcl/qt5/Qt5Instance.cxx
+++ b/vcl/qt5/Qt5Instance.cxx
@@ -336,6 +336,8 @@ VCLPLUG_QT5_PUBLIC SalInstance* create_SalInstance()
unsetenv("SESSION_MANAGER");
}
+ QApplication::setAttribute(Qt::AA_DisableHighDpiScaling);
+
int* pFakeArgc = new int;
*pFakeArgc = nFakeArgc;
pQApplication = new QApplication(*pFakeArgc, pFakeArgv);
diff --git a/vcl/unx/kde5/KDE5SalGraphics.cxx b/vcl/unx/kde5/KDE5SalGraphics.cxx
index 290127d..0b4b428 100644
--- a/vcl/unx/kde5/KDE5SalGraphics.cxx
+++ b/vcl/unx/kde5/KDE5SalGraphics.cxx
@@ -78,8 +78,8 @@ void KDE5SalGraphics::GetResolution(sal_Int32& rDPIX, sal_Int32& rDPIY)
return;
QScreen* pScreen = m_pFrame->GetQWidget()->window()->windowHandle()->screen();
- rDPIX = pScreen->logicalDotsPerInchX();
- rDPIY = pScreen->logicalDotsPerInchY();
+ rDPIX = pScreen->logicalDotsPerInchX() * pScreen->devicePixelRatio() + 0.5;
+ rDPIY = pScreen->logicalDotsPerInchY() * pScreen->devicePixelRatio() + 0.5;
}
/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
diff --git a/vcl/unx/kde5/KDE5SalInstance.cxx b/vcl/unx/kde5/KDE5SalInstance.cxx
index 401afbc..32998cd 100644
--- a/vcl/unx/kde5/KDE5SalInstance.cxx
+++ b/vcl/unx/kde5/KDE5SalInstance.cxx
@@ -144,6 +144,8 @@ VCLPLUG_KDE5_PUBLIC SalInstance* create_SalInstance()
unsetenv("SESSION_MANAGER");
}
+ QApplication::setAttribute(Qt::AA_DisableHighDpiScaling);
+
int* pFakeArgc = new int;
*pFakeArgc = nFakeArgc;
pQApplication = new QApplication(*pFakeArgc, pFakeArgv);
--
cgit v1.1

549
app-office/libreoffice/libreoffice-6.2.3.1.ebuild

@ -0,0 +1,549 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
PYTHON_REQ_USE="threads(+),xml"
MY_PV="${PV/_alpha/.alpha}"
MY_PV="${MY_PV/_beta/.beta}"
# experimental ; release ; old
# Usually the tarballs are moved a lot so this should make everyone happy.
DEV_URI="
https://dev-builds.libreoffice.org/pre-releases/src
https://download.documentfoundation.org/libreoffice/src/${MY_PV:0:5}/
https://downloadarchive.documentfoundation.org/libreoffice/old/${MY_PV}/src
"
ADDONS_URI="https://dev-www.libreoffice.org/src/"
BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${MY_PV} == *9999* ]] && inherit git-r3
inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing python-single-r1 qmake-utils toolchain-funcs xdg
DESCRIPTION="A full office productivity suite"
HOMEPAGE="https://www.libreoffice.org"
SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
[[ -n ${PATCHSET} ]] && SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}"
# Split modules following git/tarballs; Core MUST be first!
# Help is used for the image generator
# Only release has the tarballs
if [[ ${MY_PV} != *9999* ]]; then
for i in ${DEV_URI}; do
SRC_URI+=" ${i}/${PN}-${MY_PV}.tar.xz"
SRC_URI+=" ${i}/${PN}-help-${MY_PV}.tar.xz"
done
unset i
fi
unset DEV_URI
# Really required addons
# These are bundles that can't be removed for now due to huge patchsets.
# If you want them gone, patches are welcome.
ADDONS_SRC=(
"java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
# no release for 8 years, should we package it?
"libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
# Does not build with 1.6 rhino at all
"libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
# requirement of rhino
"libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
# not packageable
"odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
)
SRC_URI+=" ${ADDONS_SRC[*]}"
unset ADDONS_URI
unset ADDONS_SRC
# Extensions that need extra work:
LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
IUSE="accessibility bluetooth +branding coinmp +cups dbus debug eds firebird
googledrive gstreamer +gtk gtk2 kde ldap +mariadb odk pdfimport postgres test vlc
$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
bluetooth? ( dbus )
libreoffice_extensions_nlpsolver? ( java )
libreoffice_extensions_scripting-beanshell? ( java )
libreoffice_extensions_scripting-javascript? ( java )
libreoffice_extensions_wiki-publisher? ( java )
"
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${MY_PV} == *9999* ]] || \
KEYWORDS=""
# KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
BDEPEND="
dev-util/intltool
sys-devel/bison
sys-devel/flex
sys-devel/gettext
virtual/pkgconfig
odk? ( >=app-doc/doxygen-1.8.4 )
"
COMMON_DEPEND="${PYTHON_DEPS}
app-arch/unzip
app-arch/zip
app-crypt/gpgme[cxx]
app-text/hunspell:=
>=app-text/libabw-0.1.0
>=app-text/libebook-0.1
app-text/libepubgen
>=app-text/libetonyek-0.1
app-text/libexttextcat
app-text/liblangtag
>=app-text/libmspub-0.1.0
>=app-text/libmwaw-0.3.1
app-text/libnumbertext
>=app-text/libodfgen-0.1.0
app-text/libqxp
app-text/libstaroffice
app-text/libwpd:0.10[tools]
app-text/libwpg:0.3
>=app-text/libwps-0.4
app-text/mythes
>=dev-cpp/clucene-2.3.3.4-r2
=dev-cpp/libcmis-0.5*
dev-db/unixODBC
dev-lang/perl
dev-libs/boost:=[nls]
dev-libs/expat
dev-libs/hyphen
dev-libs/icu:=
dev-libs/libassuan
dev-libs/libgpg-error
>=dev-libs/liborcus-0.14.0
dev-libs/librevenge
dev-libs/libxml2
dev-libs/libxslt
dev-libs/nspr
dev-libs/nss
>=dev-libs/redland-1.0.16
>=dev-libs/xmlsec-1.2.24[nss]
media-gfx/fontforge
media-gfx/graphite2
media-libs/fontconfig
media-libs/freetype:2
>=media-libs/harfbuzz-0.9.42:=[graphite,icu]
media-libs/lcms:2
>=media-libs/libcdr-0.1.0
>=media-libs/libepoxy-1.3.1[X]
>=media-libs/libfreehand-0.1.0
media-libs/libpagemaker
>=media-libs/libpng-1.4:0=
>=media-libs/libvisio-0.1.0
media-libs/libzmf
net-libs/neon
net-misc/curl
sci-mathematics/lpsolve
sys-libs/zlib
virtual/glu
virtual/jpeg:0
virtual/opengl
x11-libs/cairo[X]
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libXrender
accessibility? ( dev-python/lxml[${PYTHON_USEDEP}] )
bluetooth? (
dev-libs/glib:2
net-wireless/bluez
)
coinmp? ( sci-libs/coinor-mp )
cups? ( net-print/cups )
dbus? ( sys-apps/dbus )
eds? (
dev-libs/glib:2
gnome-base/dconf
gnome-extra/evolution-data-server
)
firebird? ( >=dev-db/firebird-3.0.2.32703.0-r1[server] )
gstreamer? (
media-libs/gstreamer:1.0
media-libs/gst-plugins-base:1.0
)
gtk? (
dev-libs/glib:2
dev-libs/gobject-introspection
gnome-base/dconf
media-libs/mesa[egl]
x11-libs/gtk+:3
x11-libs/pango
)
gtk2? (
x11-libs/gdk-pixbuf
>=x11-libs/gtk+-2.24:2
x11-libs/pango
)
kde? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtx11extras:5
dev-qt/qtwidgets:5
kde-frameworks/kconfig:5
kde-frameworks/kcoreaddons:5
kde-frameworks/ki18n:5
kde-frameworks/kio:5
kde-frameworks/kwindowsystem:5
)
ldap? ( net-nds/openldap )
libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
mariadb? ( dev-db/mariadb-connector-c )
!mariadb? ( dev-db/mysql-connector-c )
pdfimport? ( app-text/poppler:=[cxx] )
postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
"
# FIXME: cppunit should be moved to test conditional
# after everything upstream is under gbuild
# as dmake execute tests right away
# tests apparently also need google-carlito-fonts (not packaged)
DEPEND="${COMMON_DEPEND}
>=dev-libs/libatomic_ops-7.2d
dev-perl/Archive-Zip
>=dev-util/cppunit-1.14.0
>=dev-util/gperf-3
>=dev-util/mdds-1.4.1:1=
media-libs/glm
sys-devel/ucpp
x11-base/xorg-proto
x11-libs/libXt
x11-libs/libXtst
java? (
dev-java/ant-core
>=virtual/jdk-1.6
)
test? (
app-crypt/gnupg
dev-util/cppunit
media-fonts/dejavu
media-fonts/liberation-fonts
)
"
RDEPEND="${COMMON_DEPEND}
!app-office/libreoffice-bin
!app-office/libreoffice-bin-debug
!app-office/openoffice
media-fonts/liberation-fonts
|| ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
java? ( >=virtual/jre-1.6 )
kde? ( kde-frameworks/breeze-icons:* )
vlc? ( media-video/vlc )
"
if [[ ${MY_PV} != *9999* ]] && [[ ${PV} != *_* ]]; then
PDEPEND="=app-office/libreoffice-l10n-$(ver_cut 1-2)*"
else
# Translations are not reliable on live ebuilds
# rather force people to use english only.
PDEPEND="!app-office/libreoffice-l10n"
fi
PATCHES=(
# master branch
"${FILESDIR}/${PN}-6.2-ldap-optional.patch"
# 6.2 stable branch
"${FILESDIR}/${P}-qt5-kf5-disable-qt-hidpi-scaling.patch"
"${FILESDIR}/${P}-kf5-update-delayed-frame-destruct.patch"
# "${WORKDIR}"/${PATCHSET/.tar.xz/}
# not upstreamable stuff
"${FILESDIR}/${PN}-5.4-system-pyuno.patch"
"${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
"${FILESDIR}/${PN}-6.1-nomancompress.patch"
)
S="${WORKDIR}/${PN}-${MY_PV}"
_check_reqs() {
CHECKREQS_MEMORY="512M"
if is-flagq "-g*" && ! is-flagq "-g*0" ; then
CHECKREQS_DISK_BUILD="22G"
else
CHECKREQS_DISK_BUILD="6G"
fi
check-reqs_$1
}
pkg_pretend() {
use java || \
ewarn "If you plan to use Base application you should enable java or you will get various crashes."
if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
ewarn "Firebird has been upgraded to version 3. It is unable to read back Firebird 2.5 data, so"
ewarn "embedded firebird odb files created in LibreOffice pre-5.3 can't be opened with this version."
ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
fi
[[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_pretend
}
pkg_setup() {
java-pkg-opt-2_pkg_setup
python-single-r1_pkg_setup
[[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_setup
}
src_unpack() {
default
if [[ ${MY_PV} = *9999* ]]; then
local base_uri branch mypv
base_uri="https://anongit.freedesktop.org/git"
branch="master"
mypv=${MY_PV/.9999}
[[ ${mypv} != ${MY_PV} ]] && branch="${PN}-${mypv/./-}"
git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
git-r3_checkout "${base_uri}/${PN}/core"
LOCOREGIT_VERSION=${EGIT_VERSION}
git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
fi
}
src_prepare() {
xdg_src_prepare
# sandbox violations on many systems, we don't need it. Bug #646406
sed -i \
-e "/KF5_CONFIG/s/kf5-config/no/" \
configure.ac || die "Failed to disable kf5-config"
AT_M4DIR="m4" eautoreconf
# hack in the autogen.sh
touch autogen.lastrun
# system pyuno mess
sed -i \
-e "s:%eprefix%:${EPREFIX}:g" \
-e "s:%libdir%:$(get_libdir):g" \
pyuno/source/module/uno.py \
pyuno/source/officehelper.py || die
# sed in the tests
sed -i \
-e "s#all : build unitcheck#all : build#g" \
solenv/gbuild/Module.mk || die
sed -i \
-e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
-e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
Makefile.in || die
sed -i \
-e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
-e "s,\$INSTALLDIRNAME.sh,${PN}," \
bin/distro-install-desktop-integration || die
if use branding; then
# hack...
mv -v "${WORKDIR}/branding-intro.png" "icon-themes/colibre/brand/intro.png" || die
fi
# Don't list pdfimport support in desktop when built with none, bug # 605464
if ! use pdfimport; then
sed -i \
-e ":MimeType: s:application/pdf;::" \
-e ":Keywords: s:pdf;::" \
sysui/desktop/menus/draw.desktop || die
fi
}
src_configure() {
# Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
# Note: these are for Gentoo use ONLY. For your own distribution, please get
# your own set of keys. Feel free to contact chromium@gentoo.org for more info.
local google_default_client_id="329227923882.apps.googleusercontent.com"
local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
# optimization flags
export GMAKE_OPTIONS="${MAKEOPTS}"
# System python enablement:
export PYTHON_CFLAGS=$(python_get_CFLAGS)
export PYTHON_LIBS=$(python_get_LIBS)
if use kde; then
export QT_SELECT=5 # bug 639620 needs proper fix though
export QT5DIR="$(qt5_get_bindir)/../"
export MOC5="$(qt5_get_bindir)/moc"
fi
local gentoo_buildid="Gentoo official package"
if [[ -n ${LOCOREGIT_VERSION} ]]; then
gentoo_buildid+=" (from git: ${LOCOREGIT_VERSION})"
fi
# system headers/libs/...: enforce using system packages
# --disable-breakpad: requires not-yet-in-tree dev-utils/breakpad
# --enable-cairo: ensure that cairo is always required
# --enable-*-link: link to the library rather than just dlopen on runtime
# --enable-release-build: build the libreoffice as release
# --disable-fetch-external: prevent dowloading during compile phase
# --enable-extension-integration: enable any extension integration support
# --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
# --disable-report-builder: too much java packages pulled in without pkgs
# --without-system-sane: just sane.h header that is used for scan in writer,
# not linked or anything else, worthless to depend on
# --disable-pdfium: not yet packaged
local myeconfargs=(
--with-system-dicts
--with-system-epoxy
--with-system-headers
--with-system-jars
--with-system-libs
--enable-build-opensymbol
--enable-cairo-canvas
--enable-largefile
--enable-mergelibs
--enable-neon
--enable-python=system
--enable-randr
--enable-release-build
--disable-breakpad
--disable-bundle-mariadb
--disable-ccache
--disable-dependency-tracking
--disable-epm
--disable-fetch-external
--disable-gstreamer-0-10
--disable-online-update
--disable-openssl
--disable-pdfium
--disable-report-builder
--with-build-version="${gentoo_buildid}"
--enable-extension-integration
--with-external-dict-dir="${EPREFIX}/usr/share/myspell"
--with-external-hyph-dir="${EPREFIX}/usr/share/myspell"
--with-external-thes-dir="${EPREFIX}/usr/share/myspell"
--with-external-tar="${DISTDIR}"
--with-lang=""
--with-parallelism=$(makeopts_jobs)
--with-system-ucpp
--with-tls=nss
--with-vendor="Gentoo Foundation"
--with-x
--without-fonts
--without-myspell-dicts
--with-help="html"
--without-helppack-integration
--with-system-gpgmepp
--without-system-sane
$(use_enable bluetooth sdremote-bluetooth)
$(use_enable coinmp)
$(use_enable cups)
$(use_enable dbus)
$(use_enable debug)
$(use_enable eds evolution2)
$(use_enable firebird firebird-sdbc)
$(use_enable gstreamer gstreamer-1-0)
$(use_enable gtk gtk3)
$(use_enable gtk2 gtk)
$(use_enable kde kde5)
$(use_enable kde qt5)
$(use_enable ldap)
$(use_enable odk)
$(use_enable pdfimport)
$(use_enable postgres postgresql-sdbc)
$(use_enable vlc)
$(use_with accessibility lxml)
$(use_with coinmp system-coinmp)
$(use_with googledrive gdrive-client-id ${google_default_client_id})
$(use_with googledrive gdrive-client-secret ${google_default_client_secret})
$(use_with java)
$(use_with odk doxygen)
)
if use gtk && use kde; then
myeconfargs+=( --enable-gtk3-kde5 )
fi
if use eds || use gtk; then
myeconfargs+=( --enable-dconf --enable-gio )
else
myeconfargs+=( --disable-dconf --disable-gio )
fi
# libreoffice extensions handling
for lo_xt in ${LO_EXTS}; do
if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt}) )
else
myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt}) )
fi
done
if use java; then
# hsqldb: system one is too new
myeconfargs+=(
--without-junit
--without-system-hsqldb
--with-ant-home="${ANT_HOME}"
--with-jdk-home=$(java-config --jdk-home 2>/dev/null)
--with-jvm-path="${EPREFIX}/usr/lib/"
)
use libreoffice_extensions_scripting-beanshell && \
myeconfargs+=( --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar) )
use libreoffice_extensions_scripting-javascript && \
myeconfargs+=( --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar) )
fi
is-flagq "-flto*" && myeconfargs+=( --enable-lto )
MARIADBCONFIG="$(type -p $(usex mariadb mariadb mysql)_config)" \
econf "${myeconfargs[@]}"
}
src_compile() {
# more and more LO stuff tries to use OpenGL, including tests during build
# bug 501508, bug 540624, bug 545974 and probably more
addpredict /dev/dri
addpredict /dev/ati
addpredict /dev/nvidiactl
local target
use test && target="build" || target="build-nocheck"
# this is not a proper make script
make ${target} || die
}
src_test() {
make unitcheck || die
make slowcheck || die
}
src_install() {
# This is not Makefile so no buildserver
make DESTDIR="${D}" distro-pack-install -o build -o check || die
# bug 593514
if use gtk; then
dosym libreoffice/program/liblibreofficekitgtk.so \
/usr/$(get_libdir)/liblibreofficekitgtk.so
fi
# bash completion aliases
bashcomp_alias \
libreoffice \
unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
if use branding; then
insinto /usr/$(get_libdir)/${PN}/program
newins "${WORKDIR}/branding-sofficerc" sofficerc
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
fi
}
pkg_preinst() {
java-utils-2_pkg_preinst
xdg_pkg_preinst
}

5
app-office/libreoffice/libreoffice-6.2.9999.ebuild

@ -21,7 +21,7 @@ BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${MY_PV} == *9999* ]] && inherit git-r3
inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg
inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing python-single-r1 qmake-utils toolchain-funcs xdg
DESCRIPTION="A full office productivity suite"
HOMEPAGE="https://www.libreoffice.org"
@ -537,9 +537,6 @@ src_install() {
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
fi
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
}
pkg_preinst() {

5
app-office/libreoffice/libreoffice-9999.ebuild

@ -21,7 +21,7 @@ BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${MY_PV} == *9999* ]] && inherit git-r3
inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg
inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing python-single-r1 qmake-utils toolchain-funcs xdg
DESCRIPTION="A full office productivity suite"
HOMEPAGE="https://www.libreoffice.org"
@ -535,9 +535,6 @@ src_install() {
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
fi
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
}
pkg_preinst() {

BIN
dev-perl/Manifest.gz

1
dev-perl/Test-Strict/Manifest

@ -0,0 +1 @@
DIST Test-Strict-0.47.tar.gz 20679 BLAKE2B e72eef42fdb7c0e354147c06f4e7c418d5c302d0bca662995042d7046fd9deae3ae6b12fa0f780aff8d6f0e5cab52db76184d99471d130ce18bfd6c00657dddb SHA512 56ffc488cb2502af228ad03f3da7bf11f04c0cacc7f1ea13b3aa8e0578f0df36a9be092f71db973748c8db15f45873a384f2e24844468b9a300d2386692c21b9

26
dev-perl/Test-Strict/Test-Strict-0.470.0.ebuild

@ -0,0 +1,26 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=MANWAR
DIST_VERSION=0.47
inherit perl-module
DESCRIPTION="Check syntax, presence of use strict; and test coverage"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RDEPEND="
virtual/perl-File-Spec
virtual/perl-File-Temp
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
dev-perl/IO-stringy
virtual/perl-Test-Simple
)
"

8
dev-perl/Test-Strict/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
</pkgmetadata>

BIN
dev-ruby/Manifest.gz

1
dev-ruby/coolio/Manifest

@ -1 +1,2 @@
DIST cool.io-1.5.3.gem 112128 BLAKE2B f343ee73e3796744ec21d3af13e92a0a462e10b262543c2d77ab0dd6c5250bbd6cf0d6579646d146983df1c2b288717f3d4e9f1d5d0cded58a9b1422e497dee5 SHA512 6ef61713acdccf951ebd64018a3d9ec83e2655895994fe23842e18cd2556f4d35ec42144577a83b30ef369a9047a58d1bba2224145653db0b7c203dfdca6c3c3
DIST cool.io-1.5.4.gem 112128 BLAKE2B 49ae41e7ab3481609952d0234e3303d195f59d3a7f369c40aadf72b1c7a85cb46b189532025912d60e972d41f6abd1b4dce3b00d458f59ba80d98a3c51845adc SHA512 d618b3ff396dd2145f8af78e38cafa13c3bb8ca8b9c2d17c8d2884b15178a3f644a8afabadb1b2821b315a5625f169f58bb384f8829828303b9de0d761dec1e7

57
dev-ruby/coolio/coolio-1.5.4.ebuild

@ -0,0 +1,57 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
RUBY_FAKEGEM_NAME="cool.io"
RUBY_FAKEGEM_GEMSPEC="cool.io.gemspec"
inherit multilib ruby-fakegem
DESCRIPTION="A high performance event framework for Ruby which uses the libev C library"
HOMEPAGE="https://coolio.github.com/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
# cool.io includes a bundled version of libev that is patched to work correctly with ruby.
ruby_add_rdepend ">=dev-ruby/iobuffer-1"
all_ruby_prepare() {
rm -r Gemfile* lib/.gitignore || die
sed -i -e '/[Bb]undler/d' Rakefile || die
sed -i -e '28i s.add_dependency "iobuffer"' ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
# Avoid dependency on rake-compiler
sed -i -e '/extensiontask/ s:^:#:' \
-e '/ExtensionTask/,/^end/ s:^:#:' Rakefile || die
# Remove specs that require network connectivity
rm -f spec/dns_spec.rb || die
# Use one address consistently
sed -i -e 's/localhost/127.0.0.1/' spec/{udp_socket,tcp_server,iobuffer}_spec.rb || die
}
each_ruby_configure() {
pushd ext/cool.io || die
${RUBY} extconf.rb || die
popd || die
}
each_ruby_compile() {
pushd ext/cool.io || die
emake V=1
popd || die
cp ext/cool.io/cool.io_ext$(get_modname) lib/ || die
}

1
dev-ruby/ffaker/Manifest

@ -1,2 +1,3 @@
DIST ffaker-2.10.0.gem 421376 BLAKE2B 30976c0bee8862623c923b3797bd6de31b803643191d55ee2a6ef101a92f43acf6e300991de43641f2564ac82d046fcb7e53ca8b9cecae4c6b339e43f020cc1a SHA512 cb54d995f39877eea0844395e52158ea898f1d3fb17af0b01261f8b359d50ffd5d7b94fba0400e7103543a96670a00b3e5a9c072bc46f7221d390ab81e6ac507
DIST ffaker-2.11.0.gem 429568 BLAKE2B ed5a9d794caba5ad93c1ac8457ebf89412177fe48c05a66f162f8d2b7a7a3b395e59312ddc444965ec4d9500573a97c97b95a1381d07caca6bb3b3ca97fa3dc2 SHA512 b185adfe34c5d78fe47cedc9d685eb98ed0de7f9a4818fa5ab0f6fe9cad21d04e025b6d2e38e34f463874a5d9007fe0d01e604b316af4850a7a63f50140bbd78
DIST ffaker-2.9.0.gem 413184 BLAKE2B a48977b2749b60db18d046a0df0b65c1790a4fba5920faaaf6ef93be31cc7defd375379e2e46bbe2b4d2bae8b29f7cace4ecf09fba7d80a6cfacd724edd60564 SHA512 dff411a4d8864817dacb0498ce73a9b350d4e03aa771edb5b69c5e749ba4565dbd24d09215a7397e4567a9cd3ce2baae9b8e4e21cd8db127257364395e481364

20
dev-ruby/ffaker/ffaker-2.11.0.ebuild

@ -0,0 +1,20 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md REFERENCE.md"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
inherit ruby-fakegem
DESCRIPTION="Faster Faker, generates dummy data"
HOMEPAGE="https://github.com/emmanueloga/ffaker"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"

1
dev-ruby/rack/Manifest

@ -1,2 +1,3 @@
DIST rack-1.6.11.gem 230400 BLAKE2B 923a0a1ee7c3ea86c76e632764a678d47be4d4d953d3166488fdea6c198a64603017ff0bd21597dc633dbcb1f108363c52480a98ac0b80991fc4a759dd374f6f SHA512 f54d9c4d72d22c57624bb745399ac0d4f155185d01f956ad395bee2a0add6f11e8d9d25fcd330ec6aa97409ba10c2246424d067999b86f2e5cb1fd74a43c6529
DIST rack-2.0.6.gem 255488 BLAKE2B 7b23ad825e3e82f5010e810acde5eb6f3696489a78c3c67d7ac6cd73574236f83107b8a5fc0dbd4c932e2bf866c03208933d4e5bd78bf8d57aff02f96bccf6e8 SHA512 f1b93bbd16b7e44423c0977444183d9685e3c82e806304f304620731e5b4590920dcc363026277aa4b9ee0a2151c54570be341dcb9265517c7315ca4a504ef22
DIST rack-2.0.7.gem 254976 BLAKE2B a005cfcfb4bbd6884c415a8604aeea5a93f2c182e8fda25a64af2393485c09e06fa16b2e5905274d3c9ae8d91c9f451d7f5949a9c3c7fb6592a210f8ce1fbbea SHA512 caefa4c3b6a76dd3f57f229fa0a6b0e1d84b7e9a029c6b473695b44467ae1400d098132b206092cd900e636af6d734117fba02ec21a90500f7fab8aa9dd84cd2

42
dev-ruby/rack/rack-2.0.7.ebuild

@ -0,0 +1,42 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="HISTORY.md README.rdoc SPEC"
inherit ruby-fakegem eapi7-ver
DESCRIPTION="A modular Ruby webserver interface"
HOMEPAGE="https://rack.github.com/"
LICENSE="MIT"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend "virtual/ruby-ssl"
ruby_add_bdepend "test? ( dev-ruby/minitest:5 dev-ruby/concurrent-ruby )"
# The gem has automagic dependencies over mongrel, ruby-openid,
# memcache-client, thin, mongrel and camping; not sure if we should
# make them dependencies at all.
# Block against versions in older slots that also try to install a binary.
RDEPEND="${RDEPEND} !<dev-ruby/rack-1.4.5-r1:1.4 !<dev-ruby/rack-1.5.2-r4:1.5 !<dev-ruby/rack-1.6.4-r2:1.6"
all_ruby_prepare() {
# The build system tries to generate the ChangeLog from git. Create
# an empty file to avoid a needless dependency on git.
touch ChangeLog || die
# Avoid development dependency
sed -i -e '/minitest-sprint/ s:^:#:' rack.gemspec || die
}
each_ruby_test() {
${RUBY} -Ilib:test:. -e "require 'test/gemloader.rb'; Dir['test/spec_*.rb'].each{|f| require f}" || die
}

1
dev-ruby/regexp_property_values/Manifest

@ -1 +1,2 @@
DIST regexp_property_values-0.3.4.tar.gz 11273 BLAKE2B a52ab11676b58a752741240912da5fa312661a583dd74a4321f8184fef2864c74e0d5f709cb68e3ce64a3e19e9320305e80bf7614a40142c4855ccec1c40b5a5 SHA512 01ca50f831bf3364e38559e06cb54faef59fdb0b995a6bfa0aaa3943591d98f97939a47911bf8b075b34b3c401b5de51e42a71088400112ee8afd8d39f164465
DIST regexp_property_values-0.3.5.tar.gz 11410 BLAKE2B adcf7848af9df53707a878ee35443583b03f96f60f9b23fd5f146e81b4b12a4e3ada2c48d6509b15c848b15c668d9430ef93b34f08491ce13249ec458b2be0eb SHA512 5ac91331deb12fd77ee6a5ca8f942c2b2ea0ccb42bc63548444ecfe85c3a60bad385831b408f21c848f0c0ac2db3c68f8391fd68074acb0187ae9de51ca76e47

43
dev-ruby/regexp_property_values/regexp_property_values-0.3.5.ebuild

@ -0,0 +1,43 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="See which property values are supported by the regular expression engine"
HOMEPAGE="https://github.com/janosch-x/regexp_property_values"
SRC_URI="https://github.com/janosch-x/regexp_property_values/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
all_ruby_prepare() {
sed -i -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
# Avoid dependency on character_set which would lead to circular
# dependencies.
sed -i -e '/returns a CharacterSet/askip "gentoo circular dependencies"' spec/regexp_property_values/extension_spec.rb || die
}
each_ruby_configure() {
${RUBY} -Cext/regexp_property_values extconf.rb || die
}
each_ruby_compile() {
emake -Cext/regexp_property_values V=1
cp ext/regexp_property_values/regexp_property_values.so lib/regexp_property_values/ || die
}

BIN
dev-util/Manifest.gz

2
dev-util/cgdb/Manifest

@ -1,4 +1,2 @@
DIST cgdb-0.6.6.tar.gz 954789 BLAKE2B 71a095ce0237dc00e8387349818a9af5d5afd6d3ba72f0835eab80e674bb3c2934dca361b58fe70115db3b0315cf2cd34e60640f0d10fee75c261a8cbc3d231b SHA512 9efd4e60f07f6e189fe3c91ef52c1b3c8d70623b11d08bac6d78c36e8f8f549071448212db973974b9604f84aafc73697d9d1305c3d9691fb5f19346d2e04e8f
DIST cgdb-0.6.7.tar.gz 674132 BLAKE2B 5378bffd3bed99934b83c1db82baea86d24f83c4e586d0695193bd5ee864ca0c76ea493187ffb307d16610b2e5a8bcdd9c4b2949c1e00299eb20ceab7dd609a0 SHA512 0a9d1cc3fb00c3cdaeb060d20d3312dd738b617ff1b188db33a074e2790f9721ca58e924ecc9929b84832c3ca22a334d7a66294439341a9b6868eef1baafca3e
DIST cgdb-0.6.8.tar.gz 435115 BLAKE2B 31efcd8740dc0a0354c8d655cd7b77b18b25842dc39d1de42a92917305879394b425d7a7b0e555b368fc6a67f535fe9244c3fedeec9105c3622ace313b24c8c8 SHA512 ef3d94820bb5a37a8d7fbac48c8d144e0ac73c4f5a9d25bea33f2c4390080bb2dbdc5e7e21a5ef8a4980515cc48d80f140f7cf1f90eebac3f8bf1cc6168585ea
DIST cgdb-0.7.0.tar.gz 319980 BLAKE2B bfc62f9214f6726e5df081119e85ccdeaea9a2310a9bb7a1746525ab998ea94ec1181efd3a1986ec0d33103c2f2b888e4d93c4ddaa4a996db4e47b0173c3b67c SHA512 83aeb919e96cd0981d8fe5cdd257df3e8d8bfbceea720ea66c1773b28c9f0ecb0e303e0585206c55242bc4438d505e328d43b4991c6ddc4e4202e048558c30d9

18
dev-util/cgdb/cgdb-0.6.6.ebuild

@ -1,18 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
DESCRIPTION="A curses front-end for GDB, the GNU debugger"
HOMEPAGE="http://cgdb.sourceforge.net/"
SRC_URI="mirror://sourceforge/cgdb/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ppc ppc64 x86 ~x86-fbsd ~amd64-linux"
IUSE=""
DEPEND="sys-libs/ncurses
>=sys-libs/readline-5.1-r2"
RDEPEND="${DEPEND}
sys-devel/gdb"

18
dev-util/cgdb/cgdb-0.6.7.ebuild

@ -1,18 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="4"
DESCRIPTION="A curses front-end for GDB, the GNU debugger"
HOMEPAGE="http://cgdb.github.io/"
SRC_URI="http://cgdb.me/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE=""
DEPEND="sys-libs/ncurses
>=sys-libs/readline-5.1-r2"
RDEPEND="${DEPEND}
sys-devel/gdb"

31
dev-util/cgdb/cgdb-0.7.0.ebuild → dev-util/cgdb/cgdb-0.7.0-r1.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
if [[ ${PV} = *9999* ]]; then
inherit git-r3
@ -20,15 +20,18 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="test"
COMMONDEPEND="
DEPEND="
sys-libs/ncurses:0=
sys-libs/readline:0="
DEPEND="${COMMONDEPEND}
test? ( dev-util/dejagnu )"
BDEPEND="
test? (
dev-util/dejagnu
app-misc/dtach
)"
RDEPEND="
${COMMONDEPEND}
${DEPEND}
sys-devel/gdb"
DOCS=( AUTHORS ChangeLog FAQ INSTALL NEWS README.md )
@ -38,6 +41,22 @@ src_prepare() {
./autogen.sh || die
}
multilib_src_test() {
# Tests need an interactive shell, #654986
# real-time output of the log ;-)
touch "${T}/dtach-test.log" || die
tail -f "${T}/dtach-test.log" &
local tail_pid=${!}
nonfatal dtach -N "${T}/dtach.sock" \
bash -c 'emake check &> "${T}"/dtach-test.log; echo ${?} > "${T}"/dtach-test.out'
kill "${tail_pid}"
[[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
[[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
}
multilib_src_configure() {
ECONF_SOURCE="${S}" econf
}

33
dev-util/cgdb/cgdb-9999.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
if [[ ${PV} = *9999* ]]; then
inherit git-r3
@ -20,24 +20,43 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="test"
COMMONDEPEND="
DEPEND="
sys-libs/ncurses:0=
sys-libs/readline:0="
DEPEND="${COMMONDEPEND}
test? ( dev-util/dejagnu )"
BDEPEND="
test? (
dev-util/dejagnu
app-misc/dtach
)"
RDEPEND="
${COMMONDEPEND}
${DEPEND}
sys-devel/gdb"
DOCS=( AUTHORS ChangeLog INSTALL NEWS README.md FAQ )
DOCS=( AUTHORS ChangeLog FAQ INSTALL NEWS README.md )
src_prepare() {
default
./autogen.sh || die
}
multilib_src_test() {
# Tests need an interactive shell, #654986
# real-time output of the log ;-)
touch "${T}/dtach-test.log" || die
tail -f "${T}/dtach-test.log" &
local tail_pid=${!}
nonfatal dtach -N "${T}/dtach.sock" \
bash -c 'emake check &> "${T}"/dtach-test.log; echo ${?} > "${T}"/dtach-test.out'
kill "${tail_pid}"
[[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
[[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
}
multilib_src_configure() {
ECONF_SOURCE="${S}" econf
}

2
dev-util/cmake/Manifest

@ -1,7 +1,5 @@
DIST cmake-3.10.3.tar.gz 7825559 BLAKE2B 1db8c21abdcfac2612fa914d49f9edcf199240b714104dba1d470c8e1e487d8e6cc5d486febae88d4a71eb9419064bcf94f9bb2c779771323221c1f117baa693 SHA512 1ba6381321cb34c3c050548a1346d3b92d590a196d8aff7435c079cd485d01f7a6cd650ad97d00931aff424fcdc195bbaa6d9d7db679bf02f72f586c7b528ae4
DIST cmake-3.11.4.tar.gz 7955301 BLAKE2B 2bad70e9e8b1a4081daf79fbec46d7389f685920d3158d05eae51fb24a0ecaad722c3e8a2eab1bcc75d599bee7a8202d432176e6ac1d87ed8815c84a7a8bb925 SHA512 c5d03ad66a004292038e49e391c390ebc328fbb089ea699742a9b75f0ada9398c3dc971b868f75d8438bf437ecbeaa62541beb53cae14a699bf244ad101a2290
DIST cmake-3.12.3.tar.gz 8388552 BLAKE2B 3e4150461f0d03ddaec790c7aa701bdb84b7f22b9e948262214d363d8457a9e2986470e7a0237f46e8a72109b61dc05d657516bb19c42d63c951af92055dd4d9 SHA512 2b5b006bd0fa09431eb525a7f419c64b811afbe1cc81d34e6167e04112966d9f48f28652b21b5a04c889de6227315db57dd2099a17ea6329e27f3e97eac9051c
DIST cmake-3.13.4.tar.gz 8617881 BLAKE2B c6bc47c79ea16f975def31ee4a85b795fc2adf96f9af1d99f702519f0bae6adf531fb5abe3e1e23a6b00226c6cb22719d3d58e8caa5b178acfa4de8d01b42b8a SHA512 5a2cc092109652ced5a3a6ae00fe0c7d134efa7d90d59f376368408bb684343db9e144ee53b184f3437f8a86cf9976a130a1e1676c993d56b278a6640a418c93
DIST cmake-3.14.0.tar.gz 8846626 BLAKE2B 1bedae3909880c71bba6cc91459a58daf98287ba76c527669d227f0540283f3902d99fca2f6db2d0bde271ee274f7ce6612da2bcead611a00319996e382b0674 SHA512 a3b47f2b8d3436860e8cc06a8c0288124289560853d24f68dfbb49a2ff3f861ee385463376ad1dafa6d4a618c06d2e9049b20fcac1d2c147b29bb93479a8d400
DIST cmake-3.14.1.tar.gz 8849712 BLAKE2B a4f917507a7ba354889606f17b9ce2c37e69d80a4ee86e75f23e214c9db11bd7947f8abc879a23c7fe76bdda32ab49360eb53f00eb1c4c4e74a8f80a7221d41d SHA512 2f0c0fb1559f71c5c2bf1a77f6fb2ecdaf078e47b5ab8ce997c6877f5d165619bc7a101b1566a8a40f8883ffef6ee690f93f2652855825019ec153aa4543ffb5
DIST cmake-3.9.6.tar.gz 7705400 BLAKE2B e0a5307af0a34863c50ea6aa9323025ef588b27e648107c3a81c362ee7ae4a1d2a07cc335d816b286ce4ddb249f9c6c08c3e8cf99856c7113f3724f47c62da43 SHA512 9fda2c9ac054ef8fb1bf3885fbdec02c518da89ade220eba06b5502ac3ff300f635ec0922e61f3b2d090644fb743b8f71a04c532ab66b2d890a180cc7da54e6c

212
dev-util/cmake/cmake-3.10.3.ebuild

@ -1,212 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
CMAKE_MAKEFILE_GENERATOR="emake"
CMAKE_REMOVE_MODULES="no"
inherit bash-completion-r1 elisp-common eutils flag-o-matic gnome2-utils toolchain-funcs versionator virtualx xdg-utils cmake-utils
MY_P="${P/_/-}"
DESCRIPTION="Cross platform Make"
HOMEPAGE="https://cmake.org/"
SRC_URI="https://cmake.org/files/v$(get_version_component_range 1-2)/${MY_P}.tar.gz"
LICENSE="CMake"
SLOT="0"
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs system-jsoncpp ncurses qt5"
RDEPEND="
app-crypt/rhash
>=app-arch/libarchive-3.0.0:=
>=dev-libs/expat-2.0.1
>=dev-libs/libuv-1.0.0:=
>=net-misc/curl-7.21.5[ssl]
sys-libs/zlib
virtual/pkgconfig
emacs? ( virtual/emacs )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
system-jsoncpp? ( >=dev-libs/jsoncpp-0.6.0_rc2:0= )
"
DEPEND="${RDEPEND}
doc? ( dev-python/sphinx )
"
S="${WORKDIR}/${MY_P}"
SITEFILE="50${PN}-gentoo.el"
PATCHES=(
# prefix
"${FILESDIR}"/${PN}-3.4.0_rc1-darwin-bundle.patch
"${FILESDIR}"/${PN}-3.9.0_rc2-prefix-dirs.patch
"${FILESDIR}"/${PN}-3.1.0-darwin-isysroot.patch
# handle gentoo packaging in find modules
"${FILESDIR}"/${PN}-3.9.0_rc2-FindImageMagick.patch
"${FILESDIR}"/${PN}-3.0.0-FindBLAS.patch
"${FILESDIR}"/${PN}-3.8.0_rc2-FindBoost-python.patch
"${FILESDIR}"/${PN}-3.0.2-FindLAPACK.patch
"${FILESDIR}"/${PN}-3.5.2-FindQt4.patch
# respect python eclasses
"${FILESDIR}"/${PN}-2.8.10.2-FindPythonLibs.patch
"${FILESDIR}"/${PN}-3.9.0_rc2-FindPythonInterp.patch
# upstream fixes (can usually be removed with a version bump)
)
cmake_src_bootstrap() {
# Cleanup args to extract only JOBS.
# Because bootstrap does not know anything else.
echo ${MAKEOPTS} | egrep -o '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' > /dev/null
if [ $? -eq 0 ]; then
par_arg=$(echo ${MAKEOPTS} | egrep -o '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' | tail -n1 | egrep -o '[[:digit:]]+')
par_arg="--parallel=${par_arg}"
else
par_arg="--parallel=1"
fi
# disable running of cmake in boostrap command
sed -i \
-e '/"${cmake_bootstrap_dir}\/cmake"/s/^/#DONOTRUN /' \
bootstrap || die "sed failed"
# execinfo.h on Solaris isn't quite what it is on Darwin
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e 's/execinfo\.h/blablabla.h/' Source/kwsys/CMakeLists.txt || die
fi
tc-export CC CXX LD
# bootstrap script isn't exactly /bin/sh compatible
${CONFIG_SHELL:-sh} ./bootstrap \
--prefix="${T}/cmakestrap/" \
${par_arg} \
|| die "Bootstrap failed"
}
cmake_src_test() {
# fix OutDir and SelectLibraryConfigurations tests
# these are altered thanks to our eclass
sed -i -e 's:#IGNORE ::g' \
"${S}"/Tests/{OutDir,CMakeOnly/SelectLibraryConfigurations}/CMakeLists.txt \
|| die
pushd "${BUILD_DIR}" > /dev/null
local ctestargs